function diff = z_bar(x)

global delta psi gamma rho rho_lambda sigma_lambda rho_hx rho_hc varphi_c varphi_x sigma sigma_hc sigma_hx mu_c

% theta
theta = (1-gamma)/(1-1/psi);

k1 = exp(x)/(1+exp(x));
k0 = log(1+exp(x))-k1*x;

%% Z(t) = A0 + A1*x(t) + A1L*xL(t) + A2C*sig(t)^2 + A2X*sigx(t)^2 
A1 = (1-1/psi)/(1-k1*rho);
A1_lambda = rho_lambda/(1-k1*rho_lambda);

A2_x = 0.5*theta*(k1*A1)^2/(1-k1*rho_hx);
A2_c = 0.5*theta*(1-1/psi)^2/(1-k1*rho_hc);

sigma_wc = 2*(varphi_c*sigma)^2*sigma_hc;
sigma_wx = 2*(varphi_x*sigma)^2*sigma_hx;
A0_1 = log(delta)+k0+mu_c*(1-1/psi)+k1*A2_x*(1-rho_hx)*(varphi_x*sigma)^2 + k1*A2_c*(1-rho_hc)*(varphi_c*sigma)^2;
A0_2 = 0.5*theta*((k1*A1_lambda+1)^2*sigma_lambda^2+(k1*A2_x*sigma_wx)^2+(k1*A2_c*sigma_wc)^2);
A0   = (A0_1+A0_2)/(1-k1);

diff = x - A0 - A2_c*sigma^2 - A2_x*(varphi_x*sigma)^2;