function DistQuants = DistQuantiles(DistFull, nSd, nPoints)

% Input: DistFull: Distributions of ZZ
%          nSd: Grid limits in units of standard deviations
%          nPoints: Integration Gridsize

DistFull       = sort(DistFull);
fracCutOff  = normcdf(-nSd);
incProb      = (1 - 2*fracCutOff)/(nPoints-1);
nDist          = length(DistFull);
DistQuants = zeros(nPoints,1);

for ii = 1:nPoints
    tempProb        = fracCutOff + (ii-1)*incProb;
    nTemp            = max(1,floor(tempProb*nDist));
    DistQuants(ii)  = DistFull(nTemp);
end

