function [EquityPremium, EquityReturn, RiskFreeRate, EquityReturnNoDis] =EquityPremiumBarroUrsuaFormula ( DistDropPeakTrough )

global  gammaU rhoU thetaU sigmaEta  muPost p_W p_CbW

% Overall probability of entering a disaster

pp = p_W*p_CbW+ (1-p_W)*p_CbI;

mu = muPost;

vv  = DistDropPeakTrough;  % distibution of log(1-b)
bb = 1 - exp(vv);

gStar    = mu + (1/2)*sigmaEta^2 - pp*mean(bb);
rhoStar = rhoU - (gammaU-thetaU)*(gStar - 0.5*gammaU*sigmaEta^2-...
    (pp/(gammaU-1))*(mean((1-bb)^(1-gammaU))-1-(gammaU-1)*mean(bb)));

% Formula in Barro and Ursua (2008)
% r^e - r^f = gamma*sigma^2 + pE{b[((1-b)^(-gamma)-1]}

EquityPremium       = gammaU*sigmaEta^2 + pp*mean(bb*((1-bb)^(-gammaU)-1));
EquityReturn           = rhoStar + gammaU*gStar - 0.5*gammaU*(gammaU-1)*sigmaEta^2 - pp*(mean((1-bb)^(1-gammaU))-1-(gammaU-1)*mean(bb));
RiskFreeRate         = rhoStar + gammaU*gStar - 0.5*gammaU*(gammaU+1)*sigmaEta^2 - pp*(mean((1-bb)^(-gammaU))-1-gammaU*mean(bb));
EquityReturnNoDis= rhoStar + gammaU*gStar - 0.5*gammaU*(gammaU-1)*sigmaEta^2 - pp*(mean((1-bb)^(1-gammaU))-1-gammaU*mean(bb));


