function [PDivs] = PDivIntFuncGenEq_onePerPermDis(currentState, intGrid, weightsOverIntGrid, nextPDivVecDis,...
    nextPDivVecNoDis, p_Ce)

% weightsOverlntGrid, nextPDivVecDis, nextPDivVecNoDis should be the same
% dimesion as nInt 
global  muPost rhoZZ  p_W p_CbW p_CbI  
global  rhoU  psiU  thetaU 
% different from original code, we only write down the function for equity

EpsOnIntGrid   = intGrid(:,1);
EtaOnIntGrid   = intGrid(:,2);
ThetaOnIntGrid = intGrid(:,3);
PhiOnIntGrid   = intGrid(:,4);
NuOnIntGrid    = intGrid(:,5);

mu             = muPost;
pWb            = p_W;
pCb_NWD        = p_CbI;
pCe            = p_Ce;
pCb_WD         = p_CbW;

curEps         = currentState(1);
curZZ          = currentState(2);
curII          = currentState(3);

%% No Disasters case
deltaLogC   = mu + EtaOnIntGrid + (rhoZZ - 1)*curZZ + NuOnIntGrid + (EpsOnIntGrid - curEps);
a1 = exp(deltaLogC).^(thetaU*(1-1/psiU)); b1 = (1 + exp(nextPDivVecNoDis')).^thetaU;
intValNoDis = exp(-rhoU)^thetaU * a1.* b1;

%% Disasters case
deltaLogC   = mu + EtaOnIntGrid + (rhoZZ - 1)*curZZ + ThetaOnIntGrid + PhiOnIntGrid + NuOnIntGrid + (EpsOnIntGrid - curEps);
a2 = exp(deltaLogC).^(thetaU*(1-1/psiU)); b2 = (1 + exp(nextPDivVecDis')).^thetaU;
intValDis     = exp(-rhoU)^thetaU * a2.*b2;

%% Calculate probabilities
pDis          = (1-curII) * (pWb*pCb_WD+(1-pWb)*pCb_NWD) + curII * (1-pCe);
pNoDis        = 1 - pDis;

%% Do the numerical integration
PDivs   = (weightsOverIntGrid * (intValNoDis * pNoDis + intValDis * pDis))^(1/thetaU);
PDivs   = log(PDivs);


   
           
            
      
    
    
    
     
      
                                                             

 