function [PDivs] = PDivIntFuncGenOnePerBond(currentState, curPDivEq, intGrid, weightsOverIntGrid, nextPDivVecDis,...
    nextPDivVecNoDis)

% weightsOverlntGrid, nextPDivVecDis, nextPDivVecNoDis should be the same
% dimesion as nInt 
global  muPost rhoZZ  p_W p_CbW p_CbI p_Ce pDefaultShort
global  rhoU  psiU  thetaU 
% different from original code, we only write down the function for equity

EpsOnIntGrid    = intGrid(:,1);
EtaOnIntGrid     = intGrid(:,2);
% ThetaOnIntGrid = intGrid(:,3);
PhiOnIntGrid     = intGrid(:,4);
NuOnIntGrid      = intGrid(:,5);

mu               = muPost;
pWb              = p_W; 
pCb_NWD          = p_CbI;
pCe              = p_Ce;
pCb_WD           =  p_CbW;

curEps           = currentState(1);
curZZ            = currentState(2);
curII            = currentState(3);

    
%% No Disasters case
deltaLogC   = mu + EtaOnIntGrid + (rhoZZ - 1)*curZZ + NuOnIntGrid + (EpsOnIntGrid - curEps);
a1 = exp(deltaLogC).^(-thetaU/psiU-(1-thetaU));
c1 = exp(curPDivEq)^(1-thetaU);
b1 = (1 + exp(nextPDivVecNoDis')).^(-1+thetaU);
intValNoDis = exp(-rhoU)^thetaU * (a1.* b1).*c1;


%% Disasters case
deltaLogC   = mu + EtaOnIntGrid + (rhoZZ - 1)*curZZ + PhiOnIntGrid + NuOnIntGrid + (EpsOnIntGrid - curEps);

% not default case
a2 = exp(deltaLogC).^(-thetaU/psiU-(1-thetaU));
c2 = exp(curPDivEq)^(1-thetaU);
b2 = (1 + exp(nextPDivVecDis')).^(-1+thetaU);
intValDisND = exp(-rhoU)^thetaU * (a2.*b2).*c2;
% default case
a3 = exp(deltaLogC).^(thetaU*(1-1/psiU));
c3 = exp(curPDivEq).^(-thetaU);
b3 = (1 + exp(nextPDivVecDis')).^thetaU;
intValDisD = exp(-rhoU)^thetaU * (a3.*b3).*c3;
 
%% Calculate probabilities
pDis             = (1-curII) * (pWb*pCb_WD+(1-pWb)*pCb_NWD) + curII * (1-pCe);
pNoDis        = 1 - pDis;

%% Do the numerical integration
Num         =  weightsOverIntGrid * (intValNoDis * pNoDis + (1-pDefaultShort) * intValDisND * pDis);
Denom     = 1 - weightsOverIntGrid * (pDefaultShort * intValDisD * pDis);
PDivs       = Num/Denom;
PDivs       = log(PDivs);
