function [PDivVecEq, PDivVecOnePerBond] = PDivs_EZW_PermDis (stateGrid,intGrid, weightsOverIntGrid,initPDivEq, p_Ce)

global tolIntEq maxIter tolIntBond onePerPermDis MultiPerPermDis

nIntGrid = size(intGrid,1);

%%  %%%% Equity %%%%
PDivVec    =  zeros(size(stateGrid,1),1) + initPDivEq;
PDivVecOld = PDivVec;

nIter      = 0;
maxDiff    = 2*tolIntEq;

while maxDiff > tolIntEq & nIter < maxIter & maxDiff < 10^5
    
    for ii = 1:length(PDivVec)
        fprintf('nIter = %2.0f         PDiv at state %4.0f\n',nIter,ii);
        currentState = stateGrid(ii,:);
        
        if onePerPermDis == 0 & MultiPerPermDis == 0
            nextState= [cd, '\Results\replication\RepNSBU\nextState_',num2str(ii)];
        elseif onePerPermDis == 1 & MultiPerPermDis == 0
            nextState= [cd, '\Results\replication\RepNSBU\nextState_onePerPermDis',num2str(ii)];
        elseif onePerPermDis == 0 & MultiPerPermDis == 1
            nextState= [cd, '\Results\replication\RepNSBU\nextState_MultiPermDis',num2str(ii)];
        end
        load(nextState);
        
        for jj = 1: nIntGrid
            nextPDivVecDis(jj)        = PDivVecOld(nextStateDis(jj));
            nextPDivVecNoDis(jj)      = PDivVecOld(nextStateNoDis(jj));
        end
        %%
        % weightsOverIntGrid should be a row vector, so we take transfer
%         if onePerPermDis == 0 & MultiPerPermDis == 0
%             PDivVec(ii)=PDivIntFuncGenEq(currentState, intGrid, weightsOverIntGrid, nextPDivVecDis,...
%                 nextPDivVecNoDis);
%         else
            PDivVec(ii)=PDivIntFuncGenEq_onePerPermDis(currentState, intGrid, weightsOverIntGrid, nextPDivVecDis,...
                nextPDivVecNoDis, p_Ce);
%         end
        clear nextState nextPDivVecDis nextPDivVecNoDis
    end
    maxDiff    =  max(abs(exp(PDivVec) - exp(PDivVecOld)));
    PDivVecOld = PDivVec;
    nIter      = nIter + 1;
end

if nIter == maxIter
    fprintf('\n')
    disp('---------------------------------------------------------------------------')
    disp('          HIT MAX NUMBER OF ITERATIONS                 ')
    disp('---------------------------------------------------------------------------')
    fprintf('\n')
end
if maxDiff > 10^5
    fprintf('\n')
    disp('------------------------------------------------------------------------')
    disp('                      EQUITY DIVERGED                             ')
    disp('------------------------------------------------------------------------')
    fprintf('\n')
end
PDivVecEq = PDivVec;

%%  %%%% One Period Bond %%%%
PDivVec     =  zeros(size(stateGrid,1),1) + 5;
PDivVecOld  =  PDivVec;

if maxDiff < 10^5
    
    nIter   = 0;
    maxDiff = 2*tolIntBond;
    
    while maxDiff > tolIntBond & nIter < maxIter
        
        for ii = 1:length(PDivVec)
            fprintf('nIter = %2.0f         PDiv at state %4.0f\n',nIter,ii);
            currentState = stateGrid(ii,:);
            
            if onePerPermDis == 0 & MultiPerPermDis == 0
                nextState= [cd, '\Results\replication\RepNSBU\nextState_',num2str(ii)];
            elseif onePerPermDis == 1 & MultiPerPermDis == 0
                nextState= [cd, '\Results\replication\RepNSBU\nextState_onePerPermDis',num2str(ii)];
            elseif onePerPermDis == 0 & MultiPerPermDis == 1
                nextState= [cd, '\Results\replication\RepNSBU\nextState_MultiPermDis',num2str(ii)];
            end
            load(nextState);
            
            for jj = 1: nIntGrid
                nextPDivEqDis(jj)      = PDivVecEq(nextStateDis(jj));
                nextPDivEqNoDis(jj)    = PDivVecEq(nextStateNoDis(jj));
            end
            
            % weightsOverIntGrid should be a row vector, so we take transfer
%             if onePerPermDis == 0 & MultiPerPermDis == 0
%                 PDivVec(ii)= PDivIntFuncGenOnePerBond(currentState, PDivVecEq(ii), intGrid, weightsOverIntGrid, nextPDivEqDis,...
%                     nextPDivEqNoDis);
%             else
                PDivVec(ii)= PDivIntFuncGenOnePerBond_onePerPermDis(currentState, PDivVecEq(ii), intGrid, weightsOverIntGrid, nextPDivEqDis,...
                    nextPDivEqNoDis, p_Ce);
%             end
            clear nextState nextPDivVecDis nextPDivVecNoDis
        end
        maxDiff         =  max(abs(exp(PDivVec) - exp(PDivVecOld)));
        PDivVecOld = PDivVec;
        nIter              = nIter + 1;
    end
    
    if nIter == maxIter
        fprintf('\n')
        disp('---------------------------------------------------------------------------')
        disp('          HIT MAX NUMBER OF ITERATIONS                 ')
        disp('---------------------------------------------------------------------------')
        fprintf('\n')
    end
    PDivVecOnePerBond = PDivVec;
end

