function [EpsOnGrid, ZZOnGrid ] = SimOutputOnStateGrid(Eps, ZZ, stateGridEps, stateGridZZ)
%  Put Simulated Output on Grid
nSim = length(ZZ);

ZZOnGrid  =zeros(1,nSim);
EpsOnGrid =zeros(1,nSim);

% [stateGrid,  stateGridII, stateGridEps, stateGridZZ] = createStateGrid(DistMinZZ,DistMaxZZ);

for ii = 1:nSim
    temp1          = abs(stateGridEps-Eps(ii));
    temp2          = abs(stateGridZZ-ZZ(ii));
    [Epsr, Epsc]   = find(temp1==min(temp1));
    [ZZr, ZZc]     = find(temp2==min(temp2));
    EpsOnGrid(ii)  = stateGridEps(Epsr, Epsc);    
    ZZOnGrid(ii)   = stateGridZZ(ZZr, ZZc);
end

EpsOnGrid = EpsOnGrid';
ZZOnGrid   = ZZOnGrid';




