function [shockWeights] = WeightsSimpleSequence(distFull, tempGrid)

% INPUT: distFull : DistDropLongRun / DistDropPeakTrough
%             tempGrid: tempGridTheta
  
distFull      = sort(distFull);
nDistPoints   = length(distFull);
nGridPoints   = length(tempGrid)-1;
shockWeights  = zeros(1,nGridPoints);

for ii = 1:nGridPoints
    nWithin = 0;
    for jj = 1:nDistPoints
        if tempGrid(ii) < distFull(jj) & distFull(jj) <= tempGrid(ii+1)
            nWithin =nWithin+1;
        end
    end
    shockWeights(ii) = nWithin/nDistPoints;
end

nWithin_1    = 0;
nWithin_end = 0;
for jj = 1:nDistPoints
    if distFull(jj) <= tempGrid(1)
        nWithin_1 = nWithin_1+1;
    end
    if distFull(jj) > tempGrid(nGridPoints+1)
        nWithin_end = nWithin_end +1;
    end
end

shockWeights(1) = shockWeights(1) + nWithin_1/nDistPoints;
shockWeights(nGridPoints) = shockWeights(nGridPoints) + nWithin_end/nDistPoints;
