function [Return,  CGrowth, PD] = calcReturns(CC, Eps, ZZ, II, PDivs, gridII, gridEps, gridZZ, OnePerBond)
% Calculate Return on Equity Using Simulated Data From Model
global PowerU
% CC, Eps, ZZ, II are simulation output from model simulations

% [stateGrid,  gridII, gridEps, gridZZ] = createStateGrid(DistMinZZ, DistMaxZZ);

nSim        = length(CC);
CGrowth     = zeros(nSim,1);

if OnePerBond == 1
    RBond          = zeros(nSim,1);
    PDivBond       = zeros(nSim,1);
    CurPosition    = CurPos(Eps(1),ZZ(1),II(1), gridEps,gridZZ,gridII);
    PDivBondOld    = exp(PDivs(CurPosition));
    PDivBond(1)    = PDivBondOld;
else 
    REq            = zeros(nSim,1);
    PDivEq         = zeros(nSim,1);
    CurPosition    = CurPos(Eps(1),ZZ(1),II(1), gridEps,gridZZ,gridII);
    PDivEqOld      = exp(PDivs(CurPosition));
    PDivEq(1)      = PDivEqOld;
end

for ii = 2:nSim
    CurPosition = CurPos(Eps(ii),ZZ(ii),II(ii), gridEps,gridZZ,gridII);
    CGrowth(ii) = exp(CC(ii) - CC(ii-1));
    if OnePerBond == 1
        PDivBondCur  = exp(PDivs(CurPosition));
        RBond(ii)    = PDivBondOld^(-1);
        PDivBond(ii) = PDivBondCur;
        PDivBondOld  = PDivBondCur;
    else
        PDivEqCur    = exp(PDivs(CurPosition));       
        REq(ii)      = exp(CC(ii) - CC(ii-1))*PDivEqOld^(-1)*(1+PDivEqCur);

        PDivEq(ii)   = PDivEqCur;
        PDivEqOld    = PDivEqCur;
    end
end

if OnePerBond == 1
    Return           = RBond(2:end);
    PD               =  PDivBond;
else
    Return           = REq(2:end);
    PD               = PDivEq;
end
% EquityPDiv       = PDivs;

 
    

