function [intGrid, intGridEps, intGridEta, intGridTheta, intGridPhi, intGridNu, tempGridEps, tempGridTheta, tempGridPhi, ...
    tempGridEta, tempGridNu ] =createIntGrid_PermDis(DistDropLongRun, DistDropPeakTrough,...
    meanPhi,  sigmaPhi,  meanTheta, sigmaTheta, nSdTheta, nIntGridEta, nIntGridTheta, nIntGridPhi)

global onePerDis onePerPermDis nIntGridEps nIntGridNu
global nSdEps nSdEta nSdPhi nSdNu
global sigmaEta sigmaNu

uu = 0;
ll = -1000;
meanPhiStar  = meanPhi + ((normpdf((ll-meanPhi)/sigmaPhi) - normpdf((uu-meanPhi)/sigmaPhi))/(normcdf((uu-meanPhi)/sigmaPhi) - normcdf((ll-meanPhi)/sigmaPhi)))*sigmaPhi;
varTemp      = sigmaPhi^2*(1+((((ll-meanPhi)/sigmaPhi)*normpdf((ll-meanPhi)/sigmaPhi) - ((uu-meanPhi)/sigmaPhi)*normpdf((uu-meanPhi)/sigmaPhi))/(normcdf((uu-meanPhi)/sigmaPhi) - normcdf((ll-meanPhi)/sigmaPhi)))-...
    ((normpdf((ll-meanPhi)/sigmaPhi) - normpdf((uu-meanPhi)/sigmaPhi))/(normcdf((uu-meanPhi)/sigmaPhi) - normcdf((ll-meanPhi)/sigmaPhi)))^2);
sigmaPhiStar  = varTemp^(1/2);

% shockvec is : Eps, Eta, Theta, Phi, Nu

%% Create gridpoints

if nIntGridEps == 1
    tempGridEps  = 0;
else
    tempGridEps  = linspace(-nSdEps*sigmaEps, nSdEps*sigmaEps, nIntGridEps+1);
end

if  nIntGridEta == 1
    tempGridEta   = 0;
else
    tempGridEta  = linspace(-nSdEta*sigmaEta, nSdEta*sigmaEta, nIntGridEta+1);
end

if  nIntGridTheta == 1
    tempGridTheta = meanTheta;
else
    if  onePerPermDis==0
%         tempGridTheta = linspace(meanTheta - nSdTheta*sigmaTheta, meanTheta + nSdEta*sigmaTheta,nIntGridTheta+1);
%%
        tempGridTheta = linspace(meanTheta - nSdTheta*sigmaTheta, meanTheta + nSdTheta*sigmaTheta,nIntGridTheta+1);
%%
    elseif onePerPermDis ~=0
        %tempGridTheta <- getDistQuantiles(DistDisasters$DistDropPeakTrough, nSdTheta, nIntGridTheta+1)
        tempGridTheta = SimpleSequence(DistDropPeakTrough, nSdTheta, nIntGridTheta+1);
    end
end

if nIntGridPhi == 1
    tempGridPhi  = meanPhi;
else
    if onePerDis==0 & onePerPermDis==0
        tempGridPhi   = linspace(meanPhiStar - nSdPhi*sigmaPhiStar, uu, nIntGridPhi+1);
    elseif onePerDis~=0
        %tempGridPhi <- getDistQuantiles(DistDisasters$DistDropPeakTrough, nSdPhi, nIntGridPhi+1)
        tempGridPhi  = SimpleSequence(DistDropPeakTrough, nSdPhi, nIntGridPhi+1);
    elseif onePerPermDis~=0
        %tempGridPhi <- getDistQuantiles(DistDisasters$DistDropPeakTrough, nSdPhi, nIntGridPhi+1)
        tempGridPhi = SimpleSequence(DistDropPeakTrough, nSdPhi, nIntGridPhi+1);
    end
end

if  nIntGridNu == 1
    tempGridNu   = 0;
else
    tempGridNu    = linspace(-nSdNu*sigmaNu, nSdNu*sigmaNu, nIntGridNu+1);
end

%% Generate grid midpoints
if nIntGridEps == 1
    gridEps = 0;
else
    gridEps   =  (tempGridEps(2:(nIntGridEps+1)) + tempGridEps(1:nIntGridEps)) /2;
end

if nIntGridEta == 1
    gridEta = 0;
else
    gridEta = (tempGridEta(2:(nIntGridEta+1)) + tempGridEta(1:nIntGridEta)) /2;
end

if nIntGridTheta == 1
    gridTheta = meanTheta;
else
    gridTheta = (tempGridTheta(2:(nIntGridTheta+1)) + tempGridTheta(1:nIntGridTheta)) /2;
end
if nIntGridPhi == 1
    gridPhi  = meanPhi;
else
    gridPhi  = (tempGridPhi(2:(nIntGridPhi+1)) + tempGridPhi(1:nIntGridPhi)) /2;
end

if nIntGridNu == 1
    gridNu   = 0;
else
    gridNu   =  (tempGridNu(2:(nIntGridNu+1)) + tempGridNu(1:nIntGridNu)) /2;
end

intGridEps    = gridEps;
intGridEta    = gridEta;
intGridTheta  = gridTheta;
intGridPhi    = gridPhi;
intGridNu     = gridNu;

[x1 x2 x3 x4 x5]  = ndgrid(gridEps, gridEta, gridTheta, gridPhi, gridNu);
intGrid           = [x1(:) x2(:) x3(:) x4(:) x5(:)];
