function [stateGrid,  stateGridII, stateGridEps, stateGridZZ] = createStateGrid(DistMinZZ,DistMaxZZ)
% State Vector: Eps, ZZ, II
% Integration Vector: Eps,  Eta, Theta, Phi, Nu
global nStateGridEps  nStateGridZZ nSdEps sigmaEps ZZshrinkFactor fracCutoffZZ

distMinZZ = sort(DistMinZZ);
distMaxZZ = sort(DistMaxZZ, 'descend');


nDistZZ        = length(distMinZZ);
nDistZZCutoff  = floor(fracCutoffZZ*nDistZZ);
tempMaxGridZZ  = distMaxZZ(nDistZZCutoff);
tempMinGridZZ  = distMinZZ(nDistZZCutoff);

%Create Gridpoints
gridII  = [0,1];
if  nStateGridEps == 1
    gridEps  = 0;
else
    gridEps  =  linspace(-nSdEps*sigmaEps, nSdEps*sigmaEps, nStateGridEps);
end
if nStateGridZZ == 1
    gridZZ    = 0;
else
    maxGridZZ  = max(0.05,tempMaxGridZZ);
    minGridZZ  = min(-0.05,tempMinGridZZ);
    fracPosZZ  = maxGridZZ/(maxGridZZ-minGridZZ);
    nPosZZ     = max(2,min(nStateGridZZ-2,floor(fracPosZZ*nStateGridZZ)));
    nNegZZ     = nStateGridZZ - nPosZZ - 1;
    gridZZ     = zeros(nStateGridZZ,1);
    NegBaseInc= abs(minGridZZ)*((ZZshrinkFactor -1)/(ZZshrinkFactor^nNegZZ-1));
    PosBaseInc= abs(maxGridZZ)*((ZZshrinkFactor -1)/(ZZshrinkFactor^nPosZZ-1));
    
    gridZZ(1)     = minGridZZ;
    
    if nNegZZ > 1
        for ii = 2:nNegZZ
            gridZZ(ii) = gridZZ(ii-1) + ZZshrinkFactor^(ii-2)*NegBaseInc;
        end
    end
    gridZZ(nStateGridZZ) = maxGridZZ;
    
    if nPosZZ > 1
        for ii = 2:nPosZZ
            gridZZ(nStateGridZZ-ii+1) = gridZZ(nStateGridZZ-ii+2) - ZZshrinkFactor^(ii-2)*PosBaseInc;
        end
    end
end
stateGridII  = gridII;
stateGridEps = gridEps;
stateGridZZ  = gridZZ;

[x y z]          = meshgrid(gridEps, gridZZ, gridII);
stateGrid        = [x(:) y(:) z(:)];
    % To turn off ZZshrinkFactor
    %gridZZ   <- seq(minGridZZ, maxGridZZ, length.out = nStateGridZZ)
    
    %Create state grid
    % stateGrid   =as.matrix(expand.grid(gridEps, gridZZ, gridII));


