function [rc] = compounded_return(r,H)
% PURPOSE: generates a matrix of n lags from a matrix (or vector)
%          containing a set of vectors (For use in var routines)
%---------------------------------------------------
% USAGE: rc = compounded_return(r,H)
%
% where: r = vector of log returns nobs x 1
%        H = horizon
%---------------------------------------------------
% RETURNS:
%        rc = a vector of compounded return (nobs-h x 1)
%        rc = r(t+1)+r(t+2)+...+r(t+H)
% --------------------------------------------------
% SEE ALSO: 
%---------------------------------------------------

% written by:
% 
% 
% 
%
%

if nargin == 2 
elseif error('Compunded_Return: Wrong # of input arguments');
end;

rc = zeros(size(r,1)-H,size(r,2));
for i = 1 : H
    temp = trimr(r,i,H-i);
    %temp = trimr(r,i-1,H-i+1);
    rc = rc + temp;
end